#include <stdio.h>

void main(void);

void main(void) {

	int i;

// Посылаем процессору клавиатуры
// команду управления светодиодами

	outp(0x60,0xed);

// Перед посылкой второго байта команды
// выполняем небольшую задержку

	for(i=0; i<4000; i++);

// Выводим второй байт команды,
// младшие три бита которого определяют
// состояние светодиодов на лицевой панели
// клавиатуры.

	outp(0x60,7);

// Ожидаем нажатия на любую клавишу.

	getch();

// Выключаем все светодиоды.

	outp(0x60,0xed);
	for(i=0; i<4000; i++);
	outp(0x60,0);

	exit(0);
}
